<?php
/*
* 项目: iOrange(橘子)
* 作者: 离家出走(yzxh24)
* Email: yzxh24@gmail.com
* 主页: www.iorange.cc
*/
/* vim: set ts=4 sw=4: */
class PropsAction extends MemberAction
{
    public function run()
    {
        $sql = 'SELECT pm.uid,pm.username,pm.option,p.propertyname,p.module,p.class,p.type FROM '.PropertyMember::table().' AS pm INNER JOIN '.Property::table().' AS p ON p.propertyid=pm.property_id WHERE pm.uid='.$this->uid();
        $props = $this->db()->setQueryString($sql)->find();
        
        $this->getController()->render('props',array(
                'props' => $props,
            )
        );
    }
}